[vlc-commits] appleos/build: move resulting static libs to a folder of their own

Felix Paul Kühne git at videolan.org
Wed Jan 22 17:31:39 CET 2020


vlc | branch: master | Felix Paul Kühne <felix at feepk.net> | Wed Jan 22 15:56:43 2020 +0100| [2c490ea4ddabe70154f028fb69a3a0cc8db305eb] | committer: Felix Paul Kühne

appleos/build: move resulting static libs to a folder of their own

This way, they are no longer burried in a build folder where no-one can find them.

> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=2c490ea4ddabe70154f028fb69a3a0cc8db305eb
---

 extras/package/apple/build.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/extras/package/apple/build.sh b/extras/package/apple/build.sh
index 79c73b3971..3f4a15a191 100755
--- a/extras/package/apple/build.sh
+++ b/extras/package/apple/build.sh
@@ -663,9 +663,9 @@ echo ""
 
 echo "Compile VLC static modules list object"
 
-mkdir -p "${VLC_BUILD_DIR}/build/build-sh"
-cd "${VLC_BUILD_DIR}/build/build-sh" \
- || abort_err "Failed cd to VLC build-sh build dir"
+mkdir -p "${VLC_BUILD_DIR}/static-lib"
+cd "${VLC_BUILD_DIR}/static-lib" \
+ || abort_err "Failed cd to VLC static-lib build dir"
 
 # Collect paths of all static libraries needed (plugins and contribs)
 VLC_STATIC_FILELIST_NAME="static-libs-list"
@@ -695,7 +695,7 @@ gen_vlc_static_module_list "${VLC_STATIC_MODULELIST_NAME}.c" "${VLC_PLUGINS_SYMB
 ${CC:-cc} -c  ${CFLAGS} "${VLC_STATIC_MODULELIST_NAME}.c" \
   || abort_err "Compiling module list file failed"
 
-echo "${VLC_BUILD_DIR}/build/build-sh/${VLC_STATIC_MODULELIST_NAME}.o" \
+echo "${VLC_BUILD_DIR}/static-lib/${VLC_STATIC_MODULELIST_NAME}.o" \
   >> "$VLC_STATIC_FILELIST_NAME"
 
 echo ""



More information about the vlc-commits mailing list